[arch-commits] Commit in graphite/repos (6 files)

Andreas Radke andyrtr at archlinux.org
Tue Mar 1 16:59:50 UTC 2016


    Date: Tuesday, March 1, 2016 @ 17:59:50
  Author: andyrtr
Revision: 260488

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  graphite/repos/extra-i686/PKGBUILD
    (from rev 260487, graphite/trunk/PKGBUILD)
  graphite/repos/extra-x86_64/PKGBUILD
    (from rev 260487, graphite/trunk/PKGBUILD)
Deleted:
  graphite/repos/extra-i686/PKGBUILD
  graphite/repos/extra-i686/graphite2-1.2.0-cmakepath.patch
  graphite/repos/extra-x86_64/PKGBUILD
  graphite/repos/extra-x86_64/graphite2-1.2.0-cmakepath.patch

----------------------------------------------+
 /PKGBUILD                                    |  126 +++++++++++++++++++++++++
 extra-i686/PKGBUILD                          |   63 ------------
 extra-i686/graphite2-1.2.0-cmakepath.patch   |    9 -
 extra-x86_64/PKGBUILD                        |   63 ------------
 extra-x86_64/graphite2-1.2.0-cmakepath.patch |    9 -
 5 files changed, 126 insertions(+), 144 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2016-03-01 16:59:34 UTC (rev 260487)
+++ extra-i686/PKGBUILD	2016-03-01 16:59:50 UTC (rev 260488)
@@ -1,63 +0,0 @@
-# $Id$
-# Maintainer: AndyRTR <andyrtr at archlinux.org>
-
-pkgname=graphite
-pkgver=1.3.5
-pkgrel=1
-epoch=1
-arch=('i686' 'x86_64')
-url="https://github.com/silnrsi/graphite"
-pkgdesc='reimplementation of the SIL Graphite text processing engine'
-license=('LGPL' 'GPL' 'custom')
-depends=('gcc-libs')
-makedepends=('cmake' 'freetype2' 'python2'
-             # for documentation
-             'doxygen' 'dblatex' 'graphviz' 'asciidoc')
-checkdepends=('python2-fonttools')
-options=('!emptydirs')
-source=(https://github.com/silnrsi/graphite/releases/download/${pkgver}/graphite2-${pkgver}.tgz)
-md5sums=('5b8d22a8bbf031838e31432868c0109c')
-
-
-prepare() {
-  cd "${srcdir}"
-
-  # python2 fixes
-  sed -i "s:\/usr\/bin\/python:\/usr\/bin\/python2:" graphite2-${pkgver}/tests/{corrupt.py,defuzz,fnttxtrender,fuzzbidi,fuzztest,hbspeeds,jsoncmp}
-}
-
-build() {
-  mkdir build
-  cd build
-  cmake -G "Unix Makefiles" ../graphite2-${pkgver} \
-	-DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
-	-DCMAKE_INSTALL_PREFIX=/usr \
-	-DCMAKE_BUILD_TYPE:STRING=Release \
-	-DGRAPHITE2_COMPARE_RENDERER=OFF \
-
-  # fix unwanted -O3 cflag (taken form Debian)
-  find . -type f ! -name "rules" ! -name "changelog" -exec sed -i -e 's/\-O3//g' {} \;
-
-  make 
-  make -j1 docs
-}
-
-check() {
-  cd "${srcdir}"/build
-  # python2 fixes
-  sed -i "s:python:python2:g" tests/CTestTestfile.cmake
-  ctest || true
-}
-
-package() {
-  cd "${srcdir}"/build
-  make DESTDIR="$pkgdir/" install
-  # install doc files
-  mkdir -p "${pkgdir}"/usr/share/doc/graphite2/api
-  cp -vrf doc/doxygen/{html,latex/refman.pdf} "${pkgdir}"/usr/share/doc/graphite2/api
-  cp -vrf doc/{GTF,manual}.html "${pkgdir}"/usr/share/doc/graphite2
-
-  # licenses
-  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
-  install -m644 "${srcdir}"/graphite2-${pkgver}/COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/
-}

Copied: graphite/repos/extra-i686/PKGBUILD (from rev 260487, graphite/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2016-03-01 16:59:50 UTC (rev 260488)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+
+pkgname=graphite
+pkgver=1.3.6
+pkgrel=1
+epoch=1
+arch=('i686' 'x86_64')
+url="https://github.com/silnrsi/graphite"
+pkgdesc='reimplementation of the SIL Graphite text processing engine'
+license=('LGPL' 'GPL' 'custom')
+depends=('gcc-libs')
+makedepends=('cmake' 'freetype2' 'python2'
+             # for documentation
+             'doxygen' 'dblatex' 'graphviz' 'asciidoc')
+checkdepends=('python2-fonttools')
+options=('!emptydirs')
+source=(https://github.com/silnrsi/graphite/releases/download/${pkgver}/graphite-${pkgver}.tgz)
+sha1sums=('052ed2e3653f7a026bf9ff63ca42683ce0bcefb4')
+
+
+prepare() {
+  cd "${srcdir}"
+
+  # python2 fixes
+  sed -i "s:\/usr\/bin\/python:\/usr\/bin\/python2:" graphite2-${pkgver}/tests/{corrupt.py,defuzz,fnttxtrender,fuzzbidi,fuzztest,hbspeeds,jsoncmp}
+}
+
+build() {
+  mkdir build
+  cd build
+  cmake -G "Unix Makefiles" ../graphite2-${pkgver} \
+	-DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DCMAKE_BUILD_TYPE:STRING=Release \
+	-DGRAPHITE2_COMPARE_RENDERER=OFF \
+
+  # fix unwanted -O3 cflag (taken form Debian)
+  find . -type f ! -name "rules" ! -name "changelog" -exec sed -i -e 's/\-O3//g' {} \;
+
+  make 
+  make -j1 docs
+}
+
+check() {
+  cd "${srcdir}"/build
+  # python2 fixes
+  sed -i "s:python:python2:g" tests/CTestTestfile.cmake
+  ctest || true
+}
+
+package() {
+  cd "${srcdir}"/build
+  make DESTDIR="$pkgdir/" install
+  # install doc files
+  mkdir -p "${pkgdir}"/usr/share/doc/graphite2/api
+  cp -vrf doc/doxygen/{html,latex/refman.pdf} "${pkgdir}"/usr/share/doc/graphite2/api
+  cp -vrf doc/{GTF,manual}.html "${pkgdir}"/usr/share/doc/graphite2
+
+  # licenses
+  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
+  install -m644 "${srcdir}"/graphite2-${pkgver}/COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/
+}

Deleted: extra-i686/graphite2-1.2.0-cmakepath.patch
===================================================================
--- extra-i686/graphite2-1.2.0-cmakepath.patch	2016-03-01 16:59:34 UTC (rev 260487)
+++ extra-i686/graphite2-1.2.0-cmakepath.patch	2016-03-01 16:59:50 UTC (rev 260488)
@@ -1,9 +0,0 @@
-diff -urN graphite2-1.2.0.orig/src/CMakeLists.txt graphite2-1.2.0/src/CMakeLists.txt
---- graphite2-1.2.0.orig/src/CMakeLists.txt	2013-01-29 15:47:32.465841769 +0530
-+++ graphite2-1.2.0/src/CMakeLists.txt	2013-01-29 15:48:24.056843352 +0530
-@@ -136,4 +136,4 @@
- 
- 
- install(TARGETS graphite2 EXPORT graphite2 LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX} PUBLIC_HEADER DESTINATION include/graphite2 RUNTIME DESTINATION bin)
--install(EXPORT graphite2 DESTINATION share/graphite2 NAMESPACE gr2_)
-+install(EXPORT graphite2 DESTINATION lib${LIB_SUFFIX}/graphite2 NAMESPACE gr2_)

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2016-03-01 16:59:34 UTC (rev 260487)
+++ extra-x86_64/PKGBUILD	2016-03-01 16:59:50 UTC (rev 260488)
@@ -1,63 +0,0 @@
-# $Id$
-# Maintainer: AndyRTR <andyrtr at archlinux.org>
-
-pkgname=graphite
-pkgver=1.3.5
-pkgrel=1
-epoch=1
-arch=('i686' 'x86_64')
-url="https://github.com/silnrsi/graphite"
-pkgdesc='reimplementation of the SIL Graphite text processing engine'
-license=('LGPL' 'GPL' 'custom')
-depends=('gcc-libs')
-makedepends=('cmake' 'freetype2' 'python2'
-             # for documentation
-             'doxygen' 'dblatex' 'graphviz' 'asciidoc')
-checkdepends=('python2-fonttools')
-options=('!emptydirs')
-source=(https://github.com/silnrsi/graphite/releases/download/${pkgver}/graphite2-${pkgver}.tgz)
-md5sums=('5b8d22a8bbf031838e31432868c0109c')
-
-
-prepare() {
-  cd "${srcdir}"
-
-  # python2 fixes
-  sed -i "s:\/usr\/bin\/python:\/usr\/bin\/python2:" graphite2-${pkgver}/tests/{corrupt.py,defuzz,fnttxtrender,fuzzbidi,fuzztest,hbspeeds,jsoncmp}
-}
-
-build() {
-  mkdir build
-  cd build
-  cmake -G "Unix Makefiles" ../graphite2-${pkgver} \
-	-DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
-	-DCMAKE_INSTALL_PREFIX=/usr \
-	-DCMAKE_BUILD_TYPE:STRING=Release \
-	-DGRAPHITE2_COMPARE_RENDERER=OFF \
-
-  # fix unwanted -O3 cflag (taken form Debian)
-  find . -type f ! -name "rules" ! -name "changelog" -exec sed -i -e 's/\-O3//g' {} \;
-
-  make 
-  make -j1 docs
-}
-
-check() {
-  cd "${srcdir}"/build
-  # python2 fixes
-  sed -i "s:python:python2:g" tests/CTestTestfile.cmake
-  ctest || true
-}
-
-package() {
-  cd "${srcdir}"/build
-  make DESTDIR="$pkgdir/" install
-  # install doc files
-  mkdir -p "${pkgdir}"/usr/share/doc/graphite2/api
-  cp -vrf doc/doxygen/{html,latex/refman.pdf} "${pkgdir}"/usr/share/doc/graphite2/api
-  cp -vrf doc/{GTF,manual}.html "${pkgdir}"/usr/share/doc/graphite2
-
-  # licenses
-  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
-  install -m644 "${srcdir}"/graphite2-${pkgver}/COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/
-}

Copied: graphite/repos/extra-x86_64/PKGBUILD (from rev 260487, graphite/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2016-03-01 16:59:50 UTC (rev 260488)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+
+pkgname=graphite
+pkgver=1.3.6
+pkgrel=1
+epoch=1
+arch=('i686' 'x86_64')
+url="https://github.com/silnrsi/graphite"
+pkgdesc='reimplementation of the SIL Graphite text processing engine'
+license=('LGPL' 'GPL' 'custom')
+depends=('gcc-libs')
+makedepends=('cmake' 'freetype2' 'python2'
+             # for documentation
+             'doxygen' 'dblatex' 'graphviz' 'asciidoc')
+checkdepends=('python2-fonttools')
+options=('!emptydirs')
+source=(https://github.com/silnrsi/graphite/releases/download/${pkgver}/graphite-${pkgver}.tgz)
+sha1sums=('052ed2e3653f7a026bf9ff63ca42683ce0bcefb4')
+
+
+prepare() {
+  cd "${srcdir}"
+
+  # python2 fixes
+  sed -i "s:\/usr\/bin\/python:\/usr\/bin\/python2:" graphite2-${pkgver}/tests/{corrupt.py,defuzz,fnttxtrender,fuzzbidi,fuzztest,hbspeeds,jsoncmp}
+}
+
+build() {
+  mkdir build
+  cd build
+  cmake -G "Unix Makefiles" ../graphite2-${pkgver} \
+	-DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DCMAKE_BUILD_TYPE:STRING=Release \
+	-DGRAPHITE2_COMPARE_RENDERER=OFF \
+
+  # fix unwanted -O3 cflag (taken form Debian)
+  find . -type f ! -name "rules" ! -name "changelog" -exec sed -i -e 's/\-O3//g' {} \;
+
+  make 
+  make -j1 docs
+}
+
+check() {
+  cd "${srcdir}"/build
+  # python2 fixes
+  sed -i "s:python:python2:g" tests/CTestTestfile.cmake
+  ctest || true
+}
+
+package() {
+  cd "${srcdir}"/build
+  make DESTDIR="$pkgdir/" install
+  # install doc files
+  mkdir -p "${pkgdir}"/usr/share/doc/graphite2/api
+  cp -vrf doc/doxygen/{html,latex/refman.pdf} "${pkgdir}"/usr/share/doc/graphite2/api
+  cp -vrf doc/{GTF,manual}.html "${pkgdir}"/usr/share/doc/graphite2
+
+  # licenses
+  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
+  install -m644 "${srcdir}"/graphite2-${pkgver}/COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/
+}

Deleted: extra-x86_64/graphite2-1.2.0-cmakepath.patch
===================================================================
--- extra-x86_64/graphite2-1.2.0-cmakepath.patch	2016-03-01 16:59:34 UTC (rev 260487)
+++ extra-x86_64/graphite2-1.2.0-cmakepath.patch	2016-03-01 16:59:50 UTC (rev 260488)
@@ -1,9 +0,0 @@
-diff -urN graphite2-1.2.0.orig/src/CMakeLists.txt graphite2-1.2.0/src/CMakeLists.txt
---- graphite2-1.2.0.orig/src/CMakeLists.txt	2013-01-29 15:47:32.465841769 +0530
-+++ graphite2-1.2.0/src/CMakeLists.txt	2013-01-29 15:48:24.056843352 +0530
-@@ -136,4 +136,4 @@
- 
- 
- install(TARGETS graphite2 EXPORT graphite2 LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX} PUBLIC_HEADER DESTINATION include/graphite2 RUNTIME DESTINATION bin)
--install(EXPORT graphite2 DESTINATION share/graphite2 NAMESPACE gr2_)
-+install(EXPORT graphite2 DESTINATION lib${LIB_SUFFIX}/graphite2 NAMESPACE gr2_)



More information about the arch-commits mailing list